# THIS IS A SOURCE CODE FILE FROM I'M NOT EVEN HUMAN THE GAME.
# IT COULD BE USED IN A DIFFERENT PIECE OF SOFTWARE ( LIKE A
# DIFFERENT GAME ), BUT IT WAS ORIGINALLY WRITTEN FOR I'M NOT
# EVEN HUMAN THE GAME.

# THE DEVELOPERS OF THE GAME ARE : (C) J.Y.AMIHUD, AYYZEE AND 
# OTHER CONTRIBUTORS. THIS AND OTHER FILES IN THIS GAME,
# UNLESS SPECIFICALLY NOTED, COULD BE USED UNDER THE TERMS OF
# GNU GENERAL PUBLIC LICENSE VERSION 3 OR ANY LATER VERSION.

#!/usr/bin/python

import os
from modules import engine
from modules import settings
engine.run()

# Making the installation of the game

desktop = """[Desktop Entry]
Name=I'm Not Even Human - The Game
GenericName=Game
Path="""+os.getcwd()+"""
Exec=python3 play.py
Icon="""+os.getcwd()+"""/icon.png
Terminal=false
Type=Application
Categories=Games;"""

desktop_file = settings.get_settings_folder("applications/")+"ImNotEvenHumanTheGame.desktop"

try:
    o = open(desktop_file, "w")
    o.write(desktop)
    o.close()
except:
    print("Unable to generate the .desktop file")
